diff --git a/.htaccess b/.htaccess
index 0cde4dc..1259bca 100644
--- a/.htaccess
+++ b/.htaccess
@@ -1,7 +1,18 @@
+# 安装在一级目录
 <IfModule mod_rewrite.c>
 RewriteEngine on
 RewriteCond %{REQUEST_FILENAME} !-d
 RewriteCond %{REQUEST_FILENAME} !-f
 Rewritebase /index.php
 RewriteRule ^(.*)$ /index.php?/$1 [L]
-</IfModule>
\ No newline at end of file
+</IfModule>
+
+# 安装在二级目录,默认二级目录名称为 img, 可自行根据自身情况修改
+
+#<IfModule mod_rewrite.c>
+#RewriteEngine on
+#RewriteCond %{REQUEST_FILENAME} !-d
+#RewriteCond %{REQUEST_FILENAME} !-f
+#Rewritebase /index.php
+#RewriteRule ^(.*)$ /img/index.php?/$1 [L]
+#</IfModule>
\ No newline at end of file
diff --git a/README.md b/README.md
index 6a8b10d..974a639 100644
--- a/README.md
+++ b/README.md
@@ -6,11 +6,9 @@
 
 它的诞生，并不是最终的解决方案，开发它的目的是为了方便自己使用.
 
-
-
 # 系统介绍
 
-在 幻想领域中, 图床图片全部托管在 新浪云, 每张图片都有多张不同级别的缩略图.这便是幻想领域的最大特色之一.
+在 幻想领域 中, 图床图片全部托管在新浪云, 每张图片都有多张不同级别的缩略图.这便是幻想领域的最大特色之一.
 
 拥有较为完善的用户系统与管理员系统。管理员在后台拥有完全权限，对网站的一切基本配置
 
@@ -34,8 +32,39 @@
 
 > 请注意，幻想领域自1.0版本起只支持PHP版本≥5.6，请注意更新您的PHP版本。     
 
+## Miya's Edit
+
+于是在原作者宣布停止维护半年后,个人Fork了一下这个项目,fork了也没干什么别的,大概就做了三件事:
+
+1. 修改掉内置的库的链接,这样布局就不会乱了
+
+2. 修改了一些 CSS ,保证在现代浏览器下显示没有不违和的地方
+
+3. 在 `.htaccess` 中内置了两套方案以解决验证码不显示问题
+
+如果还说有一点什么成绩那就是还补充了[这个文档](#修改部分详情(2018.10.14)).很惭愧,就只做了三件微小的工作,谢谢大家
+
+
+
+## 修改部分详情(2018.10.14)
+
+1. 将公共库从 BootCDN 迁移至七牛公共云存储
+
+- 一部分已经无法使用 CDN 且代码量较少的库将采用内联样式( IE10 兼容库 )
+
+2. 修改掉左上角标题的定位位置防止错位
+
+- 删除掉为了保证 IE10兼容而给标题添加的`margin-top:10px`这条 CSS
+
+3. 在`.htaccess`中添加一套配置(默认为注释状态)用于适配二级目录及修复验证码不显示问题
+
+- 若你的图床链接地址为`https://yoursite.site` 的形式,则使用默认第一种
+
+- 若你的图床建立在二级目录(链接地址为`https://yoursite.site/img` 或 `https://img.yoursite.site` )的情况下,请注释掉或删掉第一种配置,并删除掉第二种配置每行前面的`#`号
 
+- 宝塔面板用户请直接使用面板中的 ThinkPHP 伪静态设置(来自原作者)
 
+# 效果展示
 
 ![](https://ws1.sinaimg.cn/large/0072Vf1pgy1fp4ju6yg11j30xe0mp102.jpg)
 
diff --git a/application/view/Home/index.php b/application/view/Home/index.php
index 552014e..11bff5b 100644
--- a/application/view/Home/index.php
+++ b/application/view/Home/index.php
@@ -11,15 +11,19 @@
     <meta name="generator" content="幻想领域">
     <link rel="icon" href="<?php echo PATH_VIEW;?>Home/images/favicon.ico">
     <title><?php echo $title;?></title>
-    <link href="https://cdn.bootcss.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
-    <link href="https://v3.bootcss.com/assets/css/ie10-viewport-bug-workaround.css" rel="stylesheet">
-    <link href="https://v3.bootcss.com/examples/cover/cover.css" rel="stylesheet">
+    <link href="https://cdn.staticfile.org/twitter-bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
+    <style>
+    	@-ms-viewport{width: device-width;}@-o-viewport{width: device-width;}@viewport{width: device-width;}
+    </style>
+    <style>
+    	a,a:focus,a:hover{color: #fff;}.btn-default,.btn-default:hover,.btn-default:focus{color: #333; text-shadow: none; background-color: #fff; border: 1px solid #fff;}html,body{height: 100%; background-color: #333;}body{color: #fff; text-align: center; text-shadow: 0 1px 3px rgba(0,0,0,.5);}/.site-wrapper{display: table; width: 100%; height: 100%;  min-height: 100%; -webkit-box-shadow: inset 0 0 100px rgba(0,0,0,.5); box-shadow: inset 0 0 100px rgba(0,0,0,.5);}.site-wrapper-inner{display: table-cell; vertical-align: top;}.cover-container{margin-right: auto; margin-left: auto;}.inner{padding: 30px;}.masthead-brand{margin-bottom: 10px;}.masthead-nav > li{display: inline-block;}.masthead-nav > li + li{margin-left: 20px;}.masthead-nav > li > a{padding-right: 0; padding-left: 0; font-size: 16px; font-weight: bold; color: #fff;  color: rgba(255,255,255,.75); border-bottom: 2px solid transparent;}.masthead-nav > li > a:hover,.masthead-nav > li > a:focus{background-color: transparent; border-bottom-color: #a9a9a9; border-bottom-color: rgba(255,255,255,.25);}.masthead-nav > .active > a,.masthead-nav > .active > a:hover,.masthead-nav > .active > a:focus{color: #fff; border-bottom-color: #fff;}@media (min-width: 768px){.masthead-brand{float: left;} .masthead-nav{float: right;}}.cover{padding: 0 20px;}.cover .btn-lg{padding: 10px 20px; font-weight: bold;}.mastfoot{color: #999;  color: rgba(255,255,255,.5);}@media (min-width: 768px){ .masthead{position: fixed; top: 0;} .mastfoot{position: fixed; bottom: 0;}  .site-wrapper-inner{vertical-align: middle;}  .masthead, .mastfoot, .cover-container{width: 100%; }}@media (min-width: 992px){.masthead, .mastfoot, .cover-container{width: 700px;}}
+    </style>
     <link rel="stylesheet" href="<?php echo PATH_VIEW;?>Home/style/hwLayer.css">
 	<link rel="stylesheet" type="text/css" href="<?php echo PATH_VIEW;?>Home/style/main.css">
 	<link href="<?php echo PATH_VIEW;?>Home/style/styles.imageuploader.css" rel="stylesheet" type="text/css">
   </head>
   <body class="body">
-	<div class="uploade" id="display"><p id="hide">X关闭</p>
+	<div class="uploade" id="display"><p id="hide">×关闭</p>
 	  <div class="uploader__box js-uploader__box l-center-box">
 	      <form action="#" method="POST">
 	          <div class="uploader__contents">
@@ -105,9 +109,24 @@
 			</div>
 		</div>
 	</div>
-    <script src="https://cdn.bootcss.com/jquery/1.12.4/jquery.min.js"></script>
-    <script src="https://cdn.bootcss.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
-    <script src="https://v3.bootcss.com/assets/js/ie10-viewport-bug-workaround.js"></script>
+    <script src="https://cdn.staticfile.org/jquery/1.12.4/jquery.min.js"></script>
+    <script src="https://cdn.staticfile.org/twitter-bootstrap/4.1.3/js/bootstrap.min.js"></script>
+    <script>
+    	(function () {
+  'use strict';
+
+  if (navigator.userAgent.match(/IEMobile\/10\.0/)) {
+    var msViewportStyle = document.createElement('style')
+    msViewportStyle.appendChild(
+      document.createTextNode(
+        '@-ms-viewport{width:auto!important}'
+      )
+    )
+    document.querySelector('head').appendChild(msViewportStyle)
+  }
+
+})();
+    </script>
     <script src="<?php echo PATH_VIEW;?>Home/js/jquery.hwLayer.js"></script>
     <script src="<?php echo PATH_VIEW;?>Home/js/jquery.imageuploader.js"></script>
 	<script src="<?php echo PATH_VIEW;?>Home/js/main.js"></script>
